=== debian/changelog ===
ros-noetic-rosserial-python (0.9.2-1buster) buster; urgency=high

  * Adds a shutdown hook for sending txStopRequest (#551 <https://github.com/ros-drivers/rosserial/issues/551>)
  * Gracefully handle socket server end. (#550 <https://github.com/ros-drivers/rosserial/issues/550>)
  * Contributors: Can Altineller, Karl Kangur

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 02 Apr 2021 00:00:00 -0000

ros-noetic-rosserial-python (0.9.1-1buster) buster; urgency=high

  * rosserial_python py3 fix (#514 <https://github.com/ros-drivers/rosserial/issues/514>)
  * Contributors: BriceRenaudeau

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 09 Sep 2020 00:00:00 -0000

ros-noetic-rosserial-python (0.9.0-1buster) buster; urgency=high

  * Python 3 and GCC7+ fixes (#508 <https://github.com/ros-drivers/rosserial/issues/508>)
    * Port of rosserial_python to py3.
    * Throw from inside the BrokenPipeError.
  * Fix Travis for Noetic + Python 3
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Update pyserial rosdep.
  * Use time.sleep instead of rospy.sleep. (#489 <https://github.com/ros-drivers/rosserial/issues/489>)
  * Make deprecation message a warning and more specific (#479 <https://github.com/ros-drivers/rosserial/issues/479>)
  * Properly initialize message_info stub, drop from test.
  * Fix py3 print usages and trailing whitespaces (#469 <https://github.com/ros-drivers/rosserial/issues/469>)
  * Drop separate node for message service (#446 <https://github.com/ros-drivers/rosserial/issues/446>)
  * Fix reconnection of rosserial-python (#445 <https://github.com/ros-drivers/rosserial/issues/445>)
  * Contributors: Asuki Kono, Daisuke Sato, Hermann von Kleist, Hikaru Sugiura, Mike Purvis, acxz

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 25 Aug 2020 00:00:00 -0000

ros-noetic-rosserial-python (0.8.0-1buster) buster; urgency=high

  * fix no attribute message_cache issue in message_info_service (#393 <https://github.com/ros-drivers/rosserial/issues/393>)
  * Added service to force an Arduino hard reset in serial_node.py (#349 <https://github.com/ros-drivers/rosserial/issues/349>)
    * Added hard_reset service call to serial_node
    * Refactored SerialClient to use a write thread, working around deadlock when both Arduino and serial_node.py get stuck writing to each other.
    * Updated cmakelists and package.xml to include dependencies. Removed unnecessary tcp functionality from arduino-specific serial_node.py
  * Add support for boolean parameters (#355 <https://github.com/ros-drivers/rosserial/issues/355>)
  * [python] fix an unboundlocalerror (#346 <https://github.com/ros-drivers/rosserial/issues/346>)
  * Retry opening the serial port every 3 seconds (#342 <https://github.com/ros-drivers/rosserial/issues/342>)
    * Retry opening the serial port every 3 seconds
    * Break out of the retry loop if we've been shut down
  * Contributors: Chris Spencer, Kenta Yonekura, Pikrass, dlguo-cpr

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 11 Oct 2018 00:00:00 -0000

ros-noetic-rosserial-python (0.7.7-1buster) buster; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * pyserial bug workaround to fix rosserial_test test against SerialClient.py (#313 <https://github.com/ros-drivers/rosserial/issues/313>)
  * Add requestTopics to correct publish before setup (#308 <https://github.com/ros-drivers/rosserial/issues/308>)
  * Contributors: Bei Chen Liu, Tom O'Connell

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 00:00:00 -0000

ros-noetic-rosserial-python (0.7.6-1buster) buster; urgency=high

  * Fix typo in serial error message (#253 <https://github.com/ros-drivers/rosserial/issues/253>)
  * Contributors: Jonathan Binney

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 00:00:00 -0000

ros-noetic-rosserial-python (0.7.5-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 00:00:00 -0000

ros-noetic-rosserial-python (0.7.4-1buster) buster; urgency=high

  * Try to read more serial bytes in a loop (#248 <https://github.com/ros-drivers/rosserial/issues/248>)
  * Add missing "import errno" to rosserial_python
  * Integration tests for rosserial (#243 <https://github.com/ros-drivers/rosserial/issues/243>)
  * rosserial_python tcp server allowing socket address reuse (#242 <https://github.com/ros-drivers/rosserial/issues/242>)
  * Contributors: Mike Purvis, Vitor Matos, davidshin172

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 00:00:00 -0000

ros-noetic-rosserial-python (0.7.3-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 00:00:00 -0000

ros-noetic-rosserial-python (0.7.2-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 00:00:00 -0000

ros-noetic-rosserial-python (0.7.1-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 00:00:00 -0000

ros-noetic-rosserial-python (0.7.0-1buster) buster; urgency=high

  * Adds default queue_size of 10 for rosserial_python publisher.
  * Fixed queue size warning with diagnostics publisher.
  * We don't need roslib.load_manifest any more under catkin.
  * Contributors: Basheer Subei, David Lavoie-Boutin, Mike Purvis, eisoku9618

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 00:00:00 -0000

ros-noetic-rosserial-python (0.6.3-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-noetic-rosserial-python (0.6.2-1buster) buster; urgency=high

  * Added MD5 verification for request and response messags upon ServiceClient registration.
  * Enabled registration of service clients
  * Contributors: Jonathan Jekir

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 00:00:00 -0000

ros-noetic-rosserial-python (0.6.1-1buster) buster; urgency=high




