=== debian/control ===
Source: ros-noetic-rosserial-python
Section: misc
Priority: optional
Maintainer: Paul Bouchier <paul.bouchier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/rosserial_python
Standards-Version: 3.9.2

Package: ros-noetic-rosserial-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-serial, ros-noetic-diagnostic-msgs, ros-noetic-rospy, ros-noetic-rosserial-msgs
Description: A Python-based implementation of the rosserial protocol.
